DOM::HTMLDocument Class Reference

`#include <html_document.h>`

Inheritance diagram for DOM::HTMLDocument:

## Public Member Functions

| HTMLDocument (KHTMLView *parent)
| HTMLDocument (const HTMLDocument &other)
| HTMLDocument (const Node &other)
HTMLDocument & | operator= (const HTMLDocument &other)
HTMLDocument & | operator= (const Node &other)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | referrer () const
DOMString | domain () const
DOMString | URL () const
HTMLElement | body () const
void | setBody (const HTMLElement &)
HTMLCollection | images () const
HTMLCollection | applets () const
HTMLCollection | links () const
HTMLCollection | forms () const
HTMLCollection | layers () const
HTMLCollection | scripts () const
HTMLCollection | anchors () const
DOMString | cookie () const
void | setCookie (const DOMString &)
void | open ()
void | close ()
void | write (const DOMString &text)
void | writeln (const DOMString &text)
NodeList | getElementsByName (const DOMString &elementName)
DOMString | completeURL (const DOMString &url) const
DOMString | lastModified () const
HTMLCollection | all () const
Public Member Functions inherited from DOM::Document
| Document (bool)
| Document (const Document &other)
| Document (const Node &other)
Document & | operator= (const Node &other)
Document & | operator= (const Document &other)
DocumentType | doctype () const
DOMImplementation | implementation () const
Element | documentElement () const
Element | createElement (const DOMString &tagName)
Element | createElementNS (const DOMString &namespaceURI, const DOMString &qualifiedName)
DocumentFragment | createDocumentFragment ()
Text | createTextNode (const DOMString &data)
Comment | createComment (const DOMString &data)
CDATASection | createCDATASection (const DOMString &data)
ProcessingInstruction | createProcessingInstruction (const DOMString &target, const DOMString &data)
Attr | createAttribute (const DOMString &name)
Attr | createAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName)
EntityReference | createEntityReference (const DOMString &name)
Element | getElementById (const DOMString &elementId) const
NodeList | getElementsByTagName (const DOMString &tagname)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
Node | importNode (const Node &importedNode, bool deep)
bool | isHTMLDocument () const
Range | createRange ()
NodeIterator | createNodeIterator (Node root, unsigned long whatToShow, NodeFilter filter, bool entityReferenceExpansion)
TreeWalker | createTreeWalker (Node root, unsigned long whatToShow, NodeFilter filter, bool entityReferenceExpansion)
Event | createEvent (const DOMString &eventType)
AbstractView | defaultView () const
StyleSheetList | styleSheets () const
DOMString | preferredStylesheetSet ()
DOMString | selectedStylesheetSet ()
void | setSelectedStylesheetSet (const DOMString &aString)
void | addStyleSheet (const StyleSheet &sheet)
void | removeStyleSheet (const StyleSheet &sheet)
KHTMLView * | view () const
CSSStyleDeclaration | getOverrideStyle (const Element &elt, const DOMString &pseudoElt)
bool | async () const
void | setAsync (bool)
void | abort ()
void | load (const DOMString &uri)
void | loadXML (const DOMString &source)
bool | designMode () const
void | setDesignMode (bool enable)
DOMString | completeURL (const DOMString &url)
DOMString | toString () const
void | updateRendering ()
| Document (DocumentImpl *i)
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLDocument (HTMLDocumentImpl *impl)

## Friends

class | ::KHTMLView
class | ::KHTMLPart
class | DOMImplementation

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

An `HTMLDocument` is the root of the HTML hierarchy and holds the entire content.

Beside providing access to the hierarchy, it also provides some convenience methods for accessing certain sets of information from the document.

The following properties have been deprecated in favor of the corresponding ones for the BODY element:

- `alinkColor`

- `background`

- `bgColor`

- `fgColor`

- `linkColor`

- `vlinkColor`

Definition at line 73 of file html_document.h.

## Constructor & Destructor Documentation

HTMLDocument::HTMLDocument | ( | KHTMLView * | parent | ) |

The parent is the widget the document should render itself in.

Rendering information (like sizes, etc...) is only created if parent != 0

Definition at line 42 of file html_document.cpp.

## Member Function Documentation

HTMLCollection HTMLDocument::all | ( |  | ) | const

Not part of the DOM.

A collection of all the `IMG`, `OBJECT`, `AREA`, `A`, forms and anchor elements of a document.

Definition at line 185 of file html_document.cpp.

HTMLCollection HTMLDocument::anchors | ( |  | ) | const

A collection of all the anchor ( `A` ) elements in a document with a value for the `name` attribute.

Note. For reasons of backwards compatibility, the returned set of anchors only contains those anchors created with the `name` attribute, not those created with the `id` attribute.

Definition at line 179 of file html_document.cpp.

HTMLCollection HTMLDocument::applets | ( |  | ) | const

A collection of all the `OBJECT` elements that include applets and `APPLET` ( deprecated ) elements in a document.

Definition at line 149 of file html_document.cpp.

HTMLElement HTMLDocument::body | ( |  | ) | const

The element that contains the content for the document.

In documents with `BODY` contents, returns the `BODY` element, and in frameset documents, this returns the outermost `FRAMESET` element.

Definition at line 127 of file html_document.cpp.

void HTMLDocument::close | ( |  | ) |

Closes a document stream opened by `open()` and forces rendering.

Returns

Definition at line 210 of file html_document.cpp.

DOMString HTMLDocument::completeURL | ( | const DOMString & | url | ) | const

not part of the DOM

converts the given (potentially relative) URL in a full-qualified one, using the baseURL / document URL for the missing parts.

Definition at line 102 of file html_document.cpp.

DOMString HTMLDocument::cookie | ( |  | ) | const

The cookies associated with this document.

If there are none, the value is an empty string. Otherwise, the value is a string: a semicolon-delimited list of "name, value" pairs for all the cookies associated with the page. For example, `name=value`;expires=date .

Definition at line 191 of file html_document.cpp.

DOMString HTMLDocument::domain | ( |  | ) | const

The domain name of the server that served the document, or a null string if the server cannot be identified by a domain name.

Definition at line 109 of file html_document.cpp.

HTMLCollection HTMLDocument::forms | ( |  | ) | const

A collection of all the forms of a document.

Definition at line 167 of file html_document.cpp.

NodeList HTMLDocument::getElementsByName | ( | const DOMString & | elementName | ) |

Returns the (possibly empty) collection of elements whose `name` value is given by `elementName` .

Parameters

  elementName | The `name` attribute value for an element.

Returns
  The matching elements.

Definition at line 228 of file html_document.cpp.

HTMLCollection HTMLDocument::images | ( |  | ) | const

A collection of all the `IMG` elements in a document.

The behavior is limited to `IMG` elements for backwards compatibility.

Definition at line 143 of file html_document.cpp.

DOMString HTMLDocument::lastModified | ( |  | ) | const

Not part of the DOM.

The date the document was last modified.

Definition at line 115 of file html_document.cpp.

HTMLCollection HTMLDocument::layers | ( |  | ) | const

A collection of all the layers of a document.

Definition at line 173 of file html_document.cpp.

HTMLCollection HTMLDocument::links | ( |  | ) | const

A collection of all `AREA` elements and anchor ( `A` ) elements in a document with a value for the `href` attribute.

Definition at line 161 of file html_document.cpp.

void HTMLDocument::open | ( |  | ) |

Note.

This method and the ones following allow a user to add to or replace the structure model of a document using strings of unparsed HTML. At the time of writing alternate methods for providing similar functionality for both HTML and XML documents were being considered. The following methods may be deprecated at some point in the future in favor of a more general-purpose mechanism.

Open a document stream for writing. If a document exists in the target, this method clears it.

Returns

Definition at line 204 of file html_document.cpp.

DOMString HTMLDocument::referrer | ( |  | ) | const

Returns the URI of the page that linked to this page.

The value is an empty string if the user navigated to the page directly (not through a link, but, for example, via a bookmark).

Definition at line 96 of file html_document.cpp.

HTMLCollection HTMLDocument::scripts | ( |  | ) | const

A collection of all the scripts in the document.

Definition at line 155 of file html_document.cpp.

void HTMLDocument::setBody | ( | const HTMLElement & | _body | ) |

see body

Definition at line 133 of file html_document.cpp.

void HTMLDocument::setCookie | ( | const DOMString & | value | ) |

see cookie

Definition at line 197 of file html_document.cpp.

void HTMLDocument::setTitle | ( | const DOMString & | value | ) |

see title

Definition at line 90 of file html_document.cpp.

DOMString HTMLDocument::title | ( |  | ) | const

The title of a document as specified by the `TITLE` element in the head of the document.

Definition at line 84 of file html_document.cpp.

DOMString HTMLDocument::URL | ( |  | ) | const

The absolute URI of the document.

Definition at line 121 of file html_document.cpp.

void HTMLDocument::write | ( | const DOMString & | text | ) |

Write a string of text to a document stream opened by `open()` .

The text is parsed into the document's structure model.

Parameters

  text | The string to be parsed into some structure in the document structure model.

Returns

Definition at line 216 of file html_document.cpp.

void HTMLDocument::writeln | ( | const DOMString & | text | ) |

Write a string of text followed by a newline character to a document stream opened by `open()` .

The text is parsed into the document's structure model.

Parameters

  text | The string to be parsed into some structure in the document structure model.

Returns

Definition at line 222 of file html_document.cpp.

The documentation for this class was generated from the following files:

- html_document.h
- html_document.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys